using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[WONKA]Willy Wonka", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "COME WITH ME AND YOU WILL BE IN A WORLD OF PURE IMAGINATION!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Willy-Wonka-thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Willy-Wonka-skin.png");
            var flesh = ModAPI.LoadTexture("Willy-Wonka-flesh.png");
            var bone = ModAPI.LoadTexture("Willy-Wonka-bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0.25f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Willy-Wonka-Hat.png");
                        childSprite.sortingLayerName = "Bottom";


            var person = Instance.GetComponent<PersonBehaviour>();
			        UseEventTrigger useEventTrigger = head.gameObject.AddComponent<UseEventTrigger>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soap"), //item to derive from
        NameOverride = "[WONKA]Wonka Bar", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Offical Wonka Bar that doesn't have a golden ticket.", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("WonkaBar Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        //add a UseEventTrigger and set its action
        Instance.AddComponent<UseEventTrigger>().Action = () => {
ModAPI.LoadSprite("WonkaBar Opened.png", 1, true);
											  };
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WonkaBar.png"); //get the SpriteRenderer and replace its sprite with a custom one
			                             Instance.FixColliders();
										
        }
    }
);
CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soap"), //item to derive from
        NameOverride = ""+"\n <color=yellow>[WONKA]Golden Ticket", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = ""+"\n <color=yellow>1 in 1,059,000,000,000", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Golden Ticket Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Golden Ticket.png"); //get the SpriteRenderer and replace its sprite with a custom one
			                             Instance.FixColliders();
										 
var Light = new GameObject("Glow");
Light.transform.SetParent(Instance.transform);
Light.transform.rotation = Instance.transform.rotation;
Light.transform.localPosition = new Vector3(0f, .0f);
Light.transform.localScale = new Vector3(1f, 1f);

var LightSprite = Light.AddComponent<SpriteRenderer>();
LightSprite.sprite = ModAPI.LoadSprite("Glow.png", 1f); //GlowSprite should be completely white
LightSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
LightSprite.color = new Color32(255, 255, 0, 66); //change the colour here
LightSprite.sortingLayerName = "Object";
        }
    }
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Salt Family]Veruca Salt", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Don't care how.I want it Nowwwww-!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Veruca Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Veruca skin layer.png");
            var flesh = ModAPI.LoadTexture("Veruca flesh layer.png");
            var bone = ModAPI.LoadTexture("Veruca bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
			 foreach (var body in person.Limbs)
                        {
                            body.transform.root.localScale *= 0.98f;
						}
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Beauregarde Family]Violet Beauregarde", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "So long as it's gum, then that's for me.", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Violet Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Violet skin layer.png");
            var flesh = ModAPI.LoadTexture("Violet flesh layer.png");
            var bone = ModAPI.LoadTexture("Violet bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
			 foreach (var body in person.Limbs)
                        {
                            body.transform.root.localScale *= 0.98f;
						}
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Bucket Family]Charlie Bucket", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Look, everyone, look, I've got it! The fifth Golden Ticket is mine!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Charlie Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Charlie skin layer.png");
            var flesh = ModAPI.LoadTexture("Charlie flesh layer.png");
            var bone = ModAPI.LoadTexture("Charlie bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
			 foreach (var body in person.Limbs)
                        {
                            body.transform.root.localScale *= 0.98f;
						}
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Teevee Family]Mike Teavee", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Wham! You're dead!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("TV Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("TV skin layer.png");
            var flesh = ModAPI.LoadTexture("TV flesh layer.png");
            var bone = ModAPI.LoadTexture("TV bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
			 foreach (var body in person.Limbs)
                        {
                            body.transform.root.localScale *= 0.98f;
						}
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Gloop Family]Augustus Gloop", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "Feel sorry for Wonka. It's gonna cost him a fortune in fudge.", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Augustus Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Augustus skin layer.png");
            var flesh = ModAPI.LoadTexture("Augustus flesh layer.png");
            var bone = ModAPI.LoadTexture("Augustus bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
			 foreach (var body in person.Limbs)
                        {
                            body.transform.root.localScale *= 0.98f;
						}
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Salt Family]Mr. Salt", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "Sweetheart, I cant push them no harder. Nineteen thousand bars an hour they're shelling. Seven hundred and sixty thousand they have done so far!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Mr Salt Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Mr Salt skin layer.png");
            var flesh = ModAPI.LoadTexture("Mr Salt flesh layer.png");
            var bone = ModAPI.LoadTexture("Mr Salt bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Beauregarde Family]Mr. Beauregarde", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "You've really done it this time, haven't you, Wonka. I'll BREAK you for this!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Mr Beauregarde Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Mr Beauregarde skin layer.png");
            var flesh = ModAPI.LoadTexture("Mr Beauregarde flesh layer.png");
            var bone = ModAPI.LoadTexture("Mr Beauregarde bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Bucket Family]Grandpa Joe", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "But this roof is made of glass. It'll shatter into a thousand pieces. We'll be cut to ribbons!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Grandpa Joe Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Grandpa Joe skin layer.png");
            var flesh = ModAPI.LoadTexture("Grandpa Joe flesh layer.png");
            var bone = ModAPI.LoadTexture("Grandpa Joe bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Teevee Family]Mrs.Teevee", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "You call that unharmed?", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Mrs Teavee Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Mrs Teavee skin layer.png");
            var flesh = ModAPI.LoadTexture("Mrs Teavee flesh layer.png");
            var bone = ModAPI.LoadTexture("Mrs Teavee bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Gloop Family]Mrs.Gloop", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "He'll be made into marshmallows in five seconds!", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Mrs Gloop Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Mrs Gloop skin layer.png");
            var flesh = ModAPI.LoadTexture("Mrs Gloop flesh layer.png");
            var bone = ModAPI.LoadTexture("Mrs Gloop bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soap"), //item to derive from
        NameOverride = "[WONKA]Eaten Wonka Bar",
        DescriptionOverride = "Offical Wonka Bar that has....been eaten.....AUGUSTUS!!!!!!!!!",//new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("WonkaBar Opened Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        //add a UseEventTrigger and set its action
        Instance.AddComponent<UseEventTrigger>().Action = () => {
ModAPI.LoadSprite("WonkaBar Opened.png", 1, true);
											  };
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("WonkaBar Opened.png"); //get the SpriteRenderer and replace its sprite with a custom one
			                             Instance.FixColliders();
										
        }
    }
);
CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Soap"), //item to derive from
        NameOverride = "[WONKA]Everlasting Gobstopper",
        DescriptionOverride = "For children with very little pocket money.",//new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Everlasting Gobstopper Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
        //add a UseEventTrigger and set its action
        Instance.AddComponent<UseEventTrigger>().Action = () => {
ModAPI.LoadSprite("WonkaBar Opened.png", 1, true);
											  };
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Everlasting Gobstopper.png"); //get the SpriteRenderer and replace its sprite with a custom one
			                             Instance.FixColliders();
										
        }
    }
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[WONKA]Slugworth/Wilkinson", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "I congratulate you, little boy. Well done. You found the fifth Golden Ticket.", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Slugworth Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Slugworth skin layer.png");
            var flesh = ModAPI.LoadTexture("Slugworth flesh layer.png");
            var bone = ModAPI.LoadTexture("Slugworth bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Helmet");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0f, 0.25f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Slugworth Hat.png");
                        childSprite.sortingLayerName = "Bottom";


            var person = Instance.GetComponent<PersonBehaviour>();
			        UseEventTrigger useEventTrigger = head.gameObject.AddComponent<UseEventTrigger>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
        }
	}
);
			CategoryBuilder.Create("Willy Wonka and the Chocolate Factory", "", ModAPI.LoadSprite("category.png"));
ModAPI.Register(

    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[WONKA]Oompa Loompa", //new item name with a suffix to assure it is globally uniquehnmb
        DescriptionOverride = "Oompa loompa doompety doo I've got a perfect puzzle for you.", //new item description
        CategoryOverride = ModAPI.FindCategory("Willy Wonka and the Chocolate Factory"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Loompa Thumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("Loompa skin layer.png");
            var flesh = ModAPI.LoadTexture("Loompa flesh layer.png");
            var bone = ModAPI.LoadTexture("Loompa bone layer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var person = Instance.GetComponent<PersonBehaviour>();
			
			

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(86, 62, 130); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
            person.SetThirdBruiseColor(207, 206, 120); // third bruise colour. light yellow by default
            person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(108, 0, 4);
			
			 foreach (var body in person.Limbs)
                        {
                            body.transform.root.localScale *= 0.96f;
						}
        }
	}
);
		}
	}
}